<template>
  <v-card
  class="mx-auto my-1"
  width="100%">

    <v-img
      class="black--text align-end"
      height="200px"
      :src="foto"
    >
    </v-img>
    <v-card-title>{{nombre}}</v-card-title>
    <v-card-actions>
      <v-btn
        color="orange"
        text
        @click="explorar(id)"
      >
        Explorar
      </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
  export default {
    name: 'CuadroPokemon',
    props:{
      id:{type:String, required:true},
      nombre:{type:String, required:true},
      foto:{type:String, required:true}
    },
    methods:{
      explorar(id){
        this.$router.push('/pokemon/'+id)
      }
    }
  }
</script>
